Bug 1255521 - Can't change default lifecycle environment
Can't change default lifecycle environment
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity low
: beta
: 1.0
Assigned To: Jason Montleon
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 15:57 EDT by Thom Carlin
Modified: 2016-08-12 16:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-08-20 15:57:38 EDT
Description of problem:

Adding a new lifecycle environment throws error

Version-Release number of selected component (if applicable):

Tech-preview rc-1

How reproducible:

Uncertain

Steps to Reproduce:
1. In web UI, Section 1B: Configure Organization, accept "Default Organization" 
2. Section 1C: Configure Lifecycle Environment, New Environment Path
3. Enter a new name (e.g. Dev)
3. Click Next

Actual results:

Backend error

Expected results:

No error

Additional info:

Seemed to work after that. I removed the environments and retried without failure.  Attaching foreman-debug
Comment 2 Jason Montleon 2015-08-24 09:17:08 EDT
Log output for this is:
2015-08-24 09:16:00 [I] Processing by Api::V21::LifecycleEnvironmentsController#create as JSON
2015-08-24 09:16:00 [I]   Parameters: {"lifecycle_environment"=>{"name"=>"Dev", "label"=>"dev", "description"=>nil, "library"=>false, "prior"=>1, "prior_id"=>nil, "created_at"=>nil, "updated_at"=>nil, "organization_id"=>nil}, "apiv"=>"v21"}
2015-08-24 09:16:00 [I] Completed 422 Unprocessable Entity in 27ms (Views: 11.4ms | ActiveRecord: 2.4ms)
Comment 3 John Matthews 2015-08-26 11:51:49 EDT
https://github.com/fusor/fusor/pull/331
Comment 5 jmagen@redhat.com 2015-08-26 14:34:35 EDT
A related bug to the fix of PR 331 which fixed creating a new environment, after this is a new env created, the Next button doesn't enable when it should.
Comment 6 jmagen@redhat.com 2015-08-26 14:36:18 EDT
After a new env is create, the Next button IS enabled. However, if the user goes back to the Org tab and then back to Env tab, it is NOT enabled. This is the new bug. Next should be enabled if an environment is selected.
Comment 7 jmagen@redhat.com 2015-08-26 14:58:15 EDT
fixed part 2
https://github.com/fusor/fusor/pull/335
Comment 8 John Matthews 2015-08-28 16:59:45 EDT
In RHCI-6.0-RHEL-7-20150828.2
Comment 9 Dave Johnson 2015-09-01 15:54:17 EDT
good to go in 0829, kind of, I did open bug 1259027 but its much closer

Note You need to log in before you can comment on or make changes to this bug.